/* === Reset === */
:root {
  font-size: 62.5%;  
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

li {
  list-style-type: none;
}

/* === Utilitários === */
.container {
  width: 90vw;
  max-width: 1110px;
  margin: 0 auto;
}

.d-flex {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.title,
.subtitle {
  font-family: 'Josefin Sans', sans-serif;
  font-weight: 300;
  text-transform: uppercase;
}

.title {
  font-size: 3.2rem;
  text-align: center;
}

.subtitle {
  font-size: 2.4rem;
  color: #fff;
}

.light-text {
  font-family: Alata, sans-serif;
  font-weight: 400;
  font-size: 1.5rem;
  line-height: 25px;
  color: rgba(0, 0, 0, 0.5);
}

.button {
  padding: 12px 43px 14px 38px;
  border: 1px solid #000;
  font-family: Alata, sans-serif;
  font-size: 1.4rem;
  letter-spacing: 5px;
  text-transform: uppercase;
  background-color: transparent;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  cursor: pointer;
} 

.body--overflow {
  overflow: hidden;
}

/* === Menu === */
.menu {
  position: relative;
}

.menu__row {
  display: flex;
  align-items: center;
  align-self: flex-start;
  width: 100%;
  justify-content: space-between;
}

.menu__mobile  {
cursor: pointer;
}

.menu__mobile i {
  font-size: 1.5rem;
  color: #fff;
}

.menu--active {
  width: 100vw;
  min-height: 100vh;
  padding: 64px 18px 0;
  background-color: #000;
  position: absolute;
  top: 0;
  left: 0;
}

.menu--active .menu__items {
  display: block;
  position: absolute;
  top: 159px;
  animation-name: appearSmoth;
  animation-duration: 500ms;
  animation-timing-function: ease-in;
}

.menu--active .menu__item {
  font-size: 2.4rem;
  color: #fff;
  text-transform: uppercase;
  margin-bottom: 24px;
}

.menu__items--active {
  width: 100vw;
  height: 100vh;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #000;
}

.menu__logo {
  width: 144px;
}

.menu__items {
  display: none;
}

.menu__link {
  font-family: Alata, sans-serif;
  font-weight: 400;
  font-size: 1.5rem;
  color: #fff;
  list-style-type: none;
  text-decoration: none;
}

/* === Header === */
.header {
  height: 650px;
  padding-top: 64px;
  background-image: url('./assets/images/mobile/image-hero.png');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.header__content {
  width: fit-content;
  margin-top: 163px;
  padding: 40px;
  border: 2px solid #fff;
  font-family: 'Josefin Sans', sans-serif;
  font-weight: 300;
  font-size: clamp(3rem, 4.5vw, 7rem);
  color: #fff;
  text-transform: uppercase;
}

/* === Main === */
.main {
  margin-top: 96px;
}

/* === Menu === */
.menu--active .menu__link {
  font-size: 2rem;
}

/* === About === */
.about {
  margin-bottom: 96px;
}

.about {
  text-align: center;
}

.about__img {
  width: 100%;
  max-width: 731px;
}

.about__content {
  max-width: 541px;
  margin: 48px auto 0;
  background-color: #fff;
}

.about__content .title {
  margin-bottom: 16px;
}

/* === Creations */
.creations {
  position: relative;
  padding-bottom: 74px;
}

.creations__header {
  margin-bottom: 48px;
}

.creations__items {
  display: grid;
  grid-template-columns: 1fr;
  gap: 20px;
}

.creations__item {
  list-style-type: none;
}

.creations__content {
  position: relative
}

.creations__content .subtitle {
  position: absolute;
  left: 6.12%;
  top: calc(50% - 48px/2 + 16px);
}

.creations__img {
  width: 100%;
}

/* === Footer === */
.footer {
  margin-top: 96px;
  padding: 56px 0 56px;
  background-color: #000;
}

.footer .menu {
  flex-direction: column;
}

.footer .menu__items {
  margin-top: 32px;
  display: flex;
  flex-direction: column;
}

.footer .menu__item {
  text-align: center;
  margin-bottom: 16px;
}

.footer .menu__item:last-child {
  margin-bottom: 0;
}

/* === Social networks === */
.social-networks {
  width: 144px;
  margin: 48px auto 0;
}

.footer .light-text {
  margin-top: 16px;
  color: rgba(255, 255, 255, 0.5);
  text-align: center;
}

@media (min-width: 750px) {
  /* === Header === */
  .header {
    background-image: url('./assets/images/desktop/image-hero.png');
    background-position: center;
  }

  /* === Creations === */
  .creations {
    padding-bottom: 0;
  }

  .creations__header .title {
    text-align: left;
  }

  .creations__header .button {
    position: static;
    transform: translateX(0);
  }

  .creations__item {
    cursor: pointer;
  }

  .creations__content--active:hover,
  .creations__content--active:hover .creations__img,
  .creations__content--active:hover .subtitle {
    transition: all 200ms;
  }

  .creations__content--active:hover {
    transform: scale(1.02) translateY(-5px);
    box-shadow: 0 5px 20px -15px #000;
  }

  .creations__content--active:hover .creations__img {
    opacity: 0.5;
  }

  .creations__content--active:hover .subtitle {
    color: #000;
  }

  .creations__items {
    grid-template-columns: 1fr 1fr;
  }
}

@media (min-width: 1050px) {
  /* === Utilitários === */
  .title {
    font-size: 4.8rem;
  }

  .subtitle {
    font-size: 3.2rem;
  }

  .button:hover {
    background-color: black;
    color: #fff;
    transition: all 500ms ease-out;
  }

  /* === Menu === */
  .menu__item,
  .social-networks__item {
    position: relative;
  }

  .menu__link:hover::after,
  .social-networks__link:hover::after {
    display: inline-block;
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 24px;
    height: 2px;
    background-color: #fff;
    animation-name: underline;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
  }

  .menu__logo {
    width: 192px;
  }

  .menu__mobile {
    display: none;
  }

  .menu__items {
    min-width: 387px;
    display: flex;
    justify-content: space-between;
  }
  
  .menu__item,
  .social-networks__item {
    padding-bottom: 8px;
  }

  /* === About === */
  .about {
    position: relative;    
    display: flex;
  }

  .about__content {
    margin: 0;
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 96px 0 0 96px;
    text-align: left;
  }

  .about__content .title {
    text-align: inherit;
  }

  /* === Creations === */
  .creations__items {
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
  }

  .creations__content .subtitle {
    top: calc(50% - 64px/2 + 120px);
  }

  /* === Footer === */
  .footer .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }    

  .footer .menu {
    align-items: flex-start;
  }

  .footer .menu__items {
    margin-top: 24px;
    flex-direction: row;
  }

  .footer .menu__item {
    text-align: initial;
    margin-bottom: 0;
  }

  /* === Social networks */
  .social-networks {
    align-items: flex-end;
    margin: 0 0 0 auto;
  }
}

@keyframes underline {
  0% {
    width: 0;
    height: 1;
    opacity: 0;
  }

  50% {
    width: 24px;
    height: 2px;
    opacity: 1;
  }

  100% {
    width: 0;
    height: 0;
    opacity: 0;
  }
}

@keyframes appearSmoth {
  0% {
    margin-left: -50px;
    opacity: 0;
  }

  100% {
    margin-left: 0px;
    opacity: 1;
  }
}